Duplicate icons: 'puzzle' icon and 'template' (in VE)
Closed, ResolvedPublic1 Story Points

Description


Also this icon should probably be converted to a puzzle piece:

Esanders created this task.Sep 1 2015, 1:37 PM
Esanders updated the task description. (Show Details)
Esanders raised the priority of this task from to Needs Triage.
Esanders added a project: OOjs-UI.
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 1:37 PM
Esanders reopened this task as Open.Sep 1 2015, 1:43 PM
Esanders renamed this task from Merge 'puzzle' icon with 'template' (in VE) to Duplicate icons: Merge 'puzzle' icon with 'template' (in VE).
Esanders set Security to None.
Esanders renamed this task from Duplicate icons: Merge 'puzzle' icon with 'template' (in VE) to Duplicate icons: 'puzzle' icon and 'template' (in VE).
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 19 2015, 12:56 PM
Jdforrester-WMF triaged this task as Low priority.Jan 12 2016, 8:18 PM
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Volker_E added subscribers: Jdforrester-WMF, Volker_E.

@Esanders @Jdforrester-WMF Is 'puzzle' in use anywhere? I couldn't find icon: 'puzzle' either in core or VE.

RHo added a subscriber: RHo.Jun 19 2017, 1:00 PM

@Esanders @Jdforrester-WMF Is 'puzzle' in use anywhere? I couldn't find icon: 'puzzle' either in core or VE.

Nope. VE has kept using it's "original" icon, and AFAIAA nothing else tries to pictographically reflect the concept of a template. We could just upstream VE's item, over-writing the current icon, and switch to that?

Design team, foremost @RHo is in the process of aligning all icons to our style guide. What were the specific advantages of the VE icon over the current OOjs UI one?

vs

Change 362242 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] icons: Replace the puzzle icon, using the one from VisualEditor

https://gerrit.wikimedia.org/r/362242

RHo added a comment.Jun 30 2017, 12:09 PM

@Volker_E - happy to go with the VE one in use, under the assumption the VE one will be updated slightly as part of the coming icon set (e.g., the curved left and right hand sides of the puzzle shape will be straightened)

Jdforrester-WMF moved this task from Backlog to In discussion on the OOjs-UI board.Jul 6 2017, 3:36 PM
Jdforrester-WMF edited projects, added OOjs-UI (OOjs-UI-0.22.3); removed OOjs-UI.
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 6 2017, 4:47 PM

Change 363631 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Drop local 'template' icon, use 'puzzle' from upstream

https://gerrit.wikimedia.org/r/363631

Change 362242 merged by jenkins-bot:
[oojs/ui@master] icons: Replace the puzzle icon, using the one from VisualEditor

https://gerrit.wikimedia.org/r/362242

Jdforrester-WMF changed the point value for this task from 1 to 0.Jul 14 2017, 11:20 PM
Jdforrester-WMF changed the point value for this task from 0 to 1.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 363631 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Drop local 'template' icon, use 'puzzle' from upstream

https://gerrit.wikimedia.org/r/363631